# https://github.com/peay/ansible-gitlab-ci-variables/blob/master/tasks/ci_variable.yaml
- name: Assign token to CI/CD variable on GitLab project  
  uri:
    url: "https://gitlab.cern.ch/api/v4/projects/{{ gitlab_project_id }}/variables"
    method: POST
    body_format: form-urlencoded
    body:
      key: SERVICE_ACCOUNT_TOKEN
      value: '{{ svc_account_ci_cd_variable_token.stdout }}'
    headers:
      Private-Token: '{{ druman_gitlab_user_token.stdout }}'
    status_code: '201'
  ignore_errors: True